Skip to main content

Cardholder

Cardholder Ready

Description

Cardholder has passed the review process and is ready to be issued cards.

📦 Event Details

id string

Unique event identifier.

name string

Event name: issuing.cardholder.ready.

account_id string

Unique identifier of the account associated with the cardholder.

data object

Event payload containing cardholder details.

cardholder_id string

Unique identifier of the cardholder.

email string

Email address of the cardholder.

individual object

Individual details of the cardholder, if applicable. Otherwise: null.

date_of_birth string

Date of birth ((ISO 8601 date format: YYYY-MM-DD))

name object

Full name of the Individual. Only characters in English are supported

title string

Optional title of cardholder

first_name string

First name of cardholder

middle_name string

Middle name of cardholder

last_name string

Last name of cardholder

address object

Physical address of cardholder

city string

City of address

country string

Country code (2-letter ISO 3166-2) of address

line1 string

Address line 1

state string

Address state

postcode string

Address postal code

employers array

Information of the individual's employers, if available. Otherwise: null.

business_identifiers array

Local business registration number i.e. an official signal of identification for the business

country_code string

Country code (2-letter ISO 3166-2 code).

number string

Local business registration number

type string

Type of business registration number

business_name string

Name of the employer

mobile_number string

Mobile number of the cardholder.

postal_address object

Postal address of the cardholder, if applicable. Otherwise: null.

city string

City of address

country string

Country code (2-letter ISO 3166-2) of address

line1 string

Address line 1

state string>

Address state

postcode string

Address postal code

status string

Current cardholder status. Value: READY.

type string

Type of cardholder. Value: INDIVIDUAL, DELEGATE.

created_at string

ISO 8601 timestamp indicating when the event was created.

version string

API version associated with the event.

Request Body Example

{
"id": "606deff5-df70-31de-ac72-bf4ec4cbdd65",
"name": "issuing.cardholder.ready",
"account_id": "acct__F86YxUYP2CeUQoucTySnA",
"data": {
"cardholder_id": "699f578c-04d2-418f-9da4-5c60b30c68ac",
"email": "Lon_Sauer@gmail.com",
"individual": null,
"mobile_number": "58-15961607",
"postal_address": null,
"status": "READY",
"type": "DELEGATE"
},
"created_at": "2025-10-15T06:27:06+0000",
"version": "2025-02-14"
}

Cardholder Pending

Description

Cardholder needs to pass the review process before accessing card details.

📦 Event Details

id string

Unique event identifier.

name string

Event name: issuing.cardholder.pending.

account_id string

Unique identifier of the account associated with the cardholder.

data object

Event payload containing cardholder details.

cardholder_id string

Unique identifier of the cardholder.

email string

Email address of the cardholder.

individual object

Individual details of the cardholder, if applicable. Otherwise: null.

date_of_birth string

Date of birth (ISO 8601 date format: YYYY-MM-DD).

name object

Full name of the individual. Only characters in English are supported.

title string

Optional title of the cardholder.

first_name string

First name of the cardholder.

middle_name string

Middle name of the cardholder.

last_name string

Last name of the cardholder.

address object

Physical address of the cardholder.

line1 string

Address line 1.

line2 string

Address line 2, if applicable. Otherwise: null.

city string

City of the address.

state string

State of the address.

postcode string

Postal code of the address.

country string

Country code (2-letter ISO 3166-2) of the address.

employers array

Information about the individual's employers, if applicable. Otherwise: null.

business_identifiers array

Local business registration number i.e. an official signal of identification for the business

country_code string

Country code (2-letter ISO 3166-2 code).

number string

Local business registration number

type string

Type of business registration number

business_name string

Name of the employer

identification object

Identification documents of the individual, if available. Otherwise: null.

nationality string

Nationality of the individual (2-letter ISO 3166-2 code). Otherwise: null.

mobile_number string

Mobile number of the cardholder.

postal_address object

Postal address of the cardholder, if applicable. Otherwise: null.

line1 string

Postal address line 1.

line2 string

Postal address line 2, if applicable. Otherwise: null.

city string

City of the postal address.

state string

State of the postal address.

postcode string

Postal code of the postal address.

country string

Country code (2-letter ISO 3166-2) of the postal address.

status string

Current cardholder status. Value: PENDING.

type string

Type of cardholder. Value: INDIVIDUAL, DELEGATE.

created_at string

ISO 8601 timestamp indicating when the event was created.

version string

API version associated with the event.

Request Body Example

{
"id": "d63af2a2-01ed-347e-9361-8349219f7f20",
"name": "issuing.cardholder.pending",
"account_id": "acct__F86YxUYP2CeUQoucTySnA",
"data": {
"cardholder_id": "0515792e-8d22-4dd7-bbd5-d34a2bc0316e",
"email": "Nichole_Jacobson@yahoo.com",
"individual": {
"address": {
"city": "Austin",
"country": "US",
"line1": "1234 Elm Street",
"line2": null,
"postcode": "94932",
"state": "TX"
},
"date_of_birth": "1990-01-01",
"employers": null,
"identification": null,
"name": {
"first_name": "John",
"last_name": "Doe vh",
"middle_name": "P",
"name_on_card": "miss John Doe vh",
"title": null
},
"nationality": null
},
"mobile_number": "91-95053039",
"postal_address": {
"city": "Los Angeles",
"country": "US",
"line1": "5678 Oak Avenue",
"line2": null,
"postcode": "94932",
"state": "CA"
},
"status": "PENDING",
"type": "INDIVIDUAL"
},
"created_at": "2025-10-15T06:40:45+0000",
"version": "2025-02-14"
}

Cardholder Deleted

Description

After the cardholder is deleted successfully, then this event will be triggered.

📦 Event Details

id string

Unique event identifier.

name string

Event name: issuing.cardholder.deleted.

account_id string

Unique identifier of the account associated with the cardholder.

data object

Event payload containing cardholder deletion details.

cardholder_id string

Unique identifier of the cardholder.

deleted boolean

Indicates whether the cardholder has been deleted. Value: true.

created_at string

ISO 8601 timestamp indicating when the event was created.

version string

API version associated with the event.

Request Body Example

{
"id": "697769df-c6c4-3e33-878a-f10cdf03698a",
"name": "issuing.cardholder.deleted",
"account_id": "acct__F86YxUYP2CeUQoucTySnA",
"data": {
"cardholder_id": "0515792e-8d22-4dd7-bbd5-d34a2bc0316e",
"deleted": true
},
"created_at": "2025-10-15T06:47:46+0000",
"version": "2025-02-14"
}